# Uses of Interface
org.eclipse.core.runtime.IExtension

Packages that use IExtension
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.core.runtime.dynamichelpers
Provides helpers to facilitate the authoring of dynamic plug-ins.
org.eclipse.equinox.bidi.internal
org.eclipse.equinox.http.registry.internal
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.ui.internal
org.eclipse.ui.views.markers.internal
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IExtension in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return IExtension
Modifier and Type
Method
Description
`IExtension`
IConfigurationElement.`getDeclaringExtension()`
Returns the extension that declares this configuration element.
`IExtension`
IExtensionDelta.`getExtension()`
Returns the affected extension.
`IExtension`
IExtensionPoint.`getExtension(String extensionId)`
Returns the extension with the given unique identifier configured into this extension point, or `null` if there is no such extension.
`IExtension`
IExtensionRegistry.`getExtension(String extensionId)`
Returns the specified extension in this extension registry, or `null` if there is no such extension.
`IExtension`
IExtensionRegistry.`getExtension(String extensionPointId, String extensionId)`
Returns the specified extension in this extension registry, or `null` if there is no such extension.
`IExtension`
IExtensionRegistry.`getExtension(String namespace, String extensionPointName, String extensionId)`
Returns the specified extension in this extension registry, or `null` if there is no such extension.
`IExtension[]`
IExtensionPoint.`getExtensions()`
Returns all extensions configured into this extension point.
`IExtension[]`
IExtensionRegistry.`getExtensions(String namespace)`
Returns all extensions declared in the given namespace.
`IExtension[]`
IExtensionRegistry.`getExtensions(IContributor contributor)`
Returns all extensions supplied by the contributor, or `null` if there are no such extensions.
Methods in org.eclipse.core.runtime with parameters of type IExtension
Modifier and Type
Method
Description
`void`
IRegistryEventListener.`added(IExtension[] extensions)`
Notifies this listener that extensions were added to the registry.
`void`
IRegistryEventListener.`removed(IExtension[] extensions)`
Notifies this listener that extensions were removed from the registry.
`boolean`
IExtensionRegistry.`removeExtension(IExtension extension, Object token)`
Removes the given extension from this registry.

## Uses of IExtension in org.eclipse.core.runtime.dynamichelpers

Methods in org.eclipse.core.runtime.dynamichelpers with parameters of type IExtension
Modifier and Type
Method
Description
`void`
IExtensionChangeHandler.`addExtension(IExtensionTracker tracker, IExtension extension)`
This method is called whenever an extension conforming to the extension point filter is being added to the registry.
`protected void`
ExtensionTracker.`applyAdd(IExtensionChangeHandler handler, IExtension extension)`
`protected void`
ExtensionTracker.`applyRemove(IExtensionChangeHandler handler, IExtension removedExtension, Object[] removedObjects)`
`Object[]`
ExtensionTracker.`getObjects(IExtension element)`
`Object[]`
IExtensionTracker.`getObjects(IExtension extension)`
Return all the objects that have been associated with the given extension.
`void`
ExtensionTracker.`registerObject(IExtension element, Object object, int referenceType)`
`void`
IExtensionTracker.`registerObject(IExtension extension, Object object, int referenceType)`
Create an association between the given extension and the given object.
`void`
IExtensionChangeHandler.`removeExtension(IExtension extension, Object[] objects)`
This method is called after the removal of an extension.
`Object[]`
ExtensionTracker.`unregisterObject(IExtension extension)`
`void`
ExtensionTracker.`unregisterObject(IExtension extension, Object object)`
`Object[]`
IExtensionTracker.`unregisterObject(IExtension extension)`
Remove all the objects associated with the given extension.
`void`
IExtensionTracker.`unregisterObject(IExtension extension, Object object)`
Remove an association between the given extension and the given object.

## Uses of IExtension in org.eclipse.equinox.bidi.internal

Methods in org.eclipse.equinox.bidi.internal with parameters of type IExtension
Modifier and Type
Method
Description
`void`
StructuredTextTypesCollector.`added(IExtension[] extensions)`
`void`
StructuredTextTypesCollector.`removed(IExtension[] extensions)`

## Uses of IExtension in org.eclipse.equinox.http.registry.internal

Methods in org.eclipse.equinox.http.registry.internal that return IExtension
Modifier and Type
Method
Description
`IExtension[]`
ExtensionPointTracker.`getExtensions()`
Methods in org.eclipse.equinox.http.registry.internal with parameters of type IExtension
Modifier and Type
Method
Description
`void`
ExtensionPointTracker.Listener.`added(IExtension extension)`
`void`
FilterManager.`added(IExtension extension)`
`void`
HttpContextManager.`added(IExtension extension)`
`void`
ResourceManager.`added(IExtension extension)`
`void`
ServletManager.`added(IExtension extension)`
`void`
ExtensionPointTracker.Listener.`removed(IExtension extension)`
`void`
FilterManager.`removed(IExtension extension)`
`void`
HttpContextManager.`removed(IExtension extension)`
`void`
ResourceManager.`removed(IExtension extension)`
`void`
ServletManager.`removed(IExtension extension)`

## Uses of IExtension in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type IExtension
Modifier and Type
Method
Description
`static ImageDescriptor`
TeamImages.`getImageDescriptorFromExtension(IExtension extension, String subdirectoryAndFilename)`
Convenience method to get an image descriptor for an extension.

## Uses of IExtension in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type IExtension
Modifier and Type
Method
Description
`void`
AbstractWorkingSetManager.`addExtension(IExtensionTracker tracker, IExtension extension)`
`void`
ObjectActionContributorManager.`addExtension(IExtensionTracker tracker, IExtension addedExtension)`
`void`
AbstractWorkingSetManager.`removeExtension(IExtension extension, Object[] objects)`
`void`
ObjectContributorManager.`removeExtension(IExtension source, Object[] objects)`
Constructors in org.eclipse.ui.internal with parameters of type IExtension
Modifier
Constructor
Description
``
`EarlyStartupRunnable(IExtension extension)`

## Uses of IExtension in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal with parameters of type IExtension
Modifier and Type
Method
Description
`void`
MarkerSupportRegistry.`addExtension(IExtensionTracker tracker, IExtension extension)`
`void`
MarkerSupportRegistry.`removeExtension(IExtension extension, Object[] objects)`

## Uses of IExtension in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type IExtension
Modifier and Type
Method
Description
`void`
PropertySheet.`added(IExtension[] extensions)`
`void`
PropertySheet.`removed(IExtension[] extensions)`